# Uses of Interface
org.bukkit.entity.Tameable

Packages that use Tameable
Package
Description
com.destroystokyo.paper.entity.ai
io.papermc.paper.event.entity
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of Tameable in com.destroystokyo.paper.entity.ai

Fields in com.destroystokyo.paper.entity.ai with type parameters of type Tameable
Modifier and Type
Field
Description
`static final GoalKey<Tameable>`
VanillaGoal.`FOLLOW_OWNER`
`static final GoalKey<Tameable>`
VanillaGoal.`NON_TAME_RANDOM`
`static final GoalKey<Tameable>`
VanillaGoal.`OWNER_HURT`
`static final GoalKey<Tameable>`
VanillaGoal.`OWNER_HURT_BY`
`static final GoalKey<Tameable>`
VanillaGoal.`OWNER_HURT_BY_TARGET`
Deprecated.
`static final GoalKey<Tameable>`
VanillaGoal.`OWNER_HURT_TARGET`
Deprecated.
`static final GoalKey<Tameable>`
VanillaGoal.`RANDOM_TARGET_NON_TAMED`
Deprecated.
`static final GoalKey<Tameable>`
VanillaGoal.`SIT`
Deprecated.
`static final GoalKey<Tameable>`
VanillaGoal.`SIT_WHEN_ORDERED_TO`

## Uses of Tameable in io.papermc.paper.event.entity

Methods in io.papermc.paper.event.entity that return Tameable
Modifier and Type
Method
Description
`@NotNull Tameable`
TameableDeathMessageEvent.`getEntity()`
Constructors in io.papermc.paper.event.entity with parameters of type Tameable
Modifier
Constructor
Description
``
`TameableDeathMessageEvent(@NotNull Tameable what, @NotNull Component deathMessage)`

## Uses of Tameable in org.bukkit.entity

Subinterfaces of Tameable in org.bukkit.entity
Modifier and Type
Interface
Description
`interface`
`AbstractHorse`
Represents a Horse-like creature.
`interface`
`Camel`
Represents a Camel.
`interface`
`Cat`
Meow.
`interface`
`ChestedHorse`
Represents Horse-like creatures which can carry an inventory.
`interface`
`Donkey`
Represents a Donkey - variant of `ChestedHorse`.
`interface`
`Horse`
Represents a Horse.
`interface`
`Llama`
Represents a Llama.
`interface`
`Mule`
Represents a Mule - variant of `ChestedHorse`.
`interface`
`Parrot`
Represents a Parrot.
`interface`
`SkeletonHorse`
Represents a SkeletonHorse - variant of `AbstractHorse`.
`interface`
`TraderLlama`
Represents a trader Llama.
`interface`
`Wolf`
Represents a Wolf
`interface`
`ZombieHorse`
Represents a ZombieHorse - variant of `AbstractHorse`.